Available in VPC
Multiple people believed to be the same individual are merged into a single representative person. Assets, scenes, and thumbnails linked to the people being merged are transferred to the representative person, and the merged individuals will no longer appear in search results.
You can check the candidates for merging using Get similar person.
Person merge operations cannot be undone. Before merging, review the results of the Get similar person and Get person details.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /api/v1/workspaces/{workspace_name}/persons/{person_id}/merge |
Request headers
For information about the request headers common to all Media Intelligence APIs, see Media Intelligence request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
workspace_name |
String | Required | Workspace name |
person_id |
String | Required | Representative person ID to be retained as the result of the merge
|
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
personIds |
Array[Integer] | Required | List of person IDs to be absorbed into the representative person
|
Request example
The request example is as follows:
curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001/merge' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"personIds": [1002, 1003]
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | - | API processing result code |
message |
String | - | API processing result message |
result |
Object | - | Person merge result |
result.personId |
Integer | - | Representative person ID remaining after the merge |
result.transferredAssetCount |
Integer | - | Number of asset connections transferred to the representative person |
result.transferredThumbnailCount |
Integer | - | Number of thumbnails transferred to the representative person |
result.mergedTime |
String | - | Merge processing date and time
|
Response status codes
For information about the response status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.
Response example
The response example is as follows:
{
"code": "0",
"message": "success",
"result": {
"personId": 1001,
"transferredAssetCount": 8,
"transferredThumbnailCount": 5,
"mergedTime": "2026-09-17T10:24:31Z"
}
}